package com.hemolink.pro.view.fragment

import android.os.Bundle
import androidx.lifecycle.SavedStateHandle
import androidx.navigation.NavArgs
import java.lang.IllegalArgumentException
import kotlin.String
import kotlin.jvm.JvmStatic

public data class InfoFragmentArgs(
  public val number: String
) : NavArgs {
  public fun toBundle(): Bundle {
    val result = Bundle()
    result.putString("number", this.number)
    return result
  }

  public fun toSavedStateHandle(): SavedStateHandle {
    val result = SavedStateHandle()
    result.set("number", this.number)
    return result
  }

  public companion object {
    @JvmStatic
    public fun fromBundle(bundle: Bundle): InfoFragmentArgs {
      bundle.setClassLoader(InfoFragmentArgs::class.java.classLoader)
      val __number : String?
      if (bundle.containsKey("number")) {
        __number = bundle.getString("number")
        if (__number == null) {
          throw IllegalArgumentException("Argument \"number\" is marked as non-null but was passed a null value.")
        }
      } else {
        throw IllegalArgumentException("Required argument \"number\" is missing and does not have an android:defaultValue")
      }
      return InfoFragmentArgs(__number)
    }

    @JvmStatic
    public fun fromSavedStateHandle(savedStateHandle: SavedStateHandle): InfoFragmentArgs {
      val __number : String?
      if (savedStateHandle.contains("number")) {
        __number = savedStateHandle["number"]
        if (__number == null) {
          throw IllegalArgumentException("Argument \"number\" is marked as non-null but was passed a null value")
        }
      } else {
        throw IllegalArgumentException("Required argument \"number\" is missing and does not have an android:defaultValue")
      }
      return InfoFragmentArgs(__number)
    }
  }
}
